use bevy_app::App;

use crate::core::{
    vulkan::Vulkan,
    window::{Window, config::WindowConfig},
};

pub mod test_plugin;

pub fn init(app: &mut App) {
    let window_config = WindowConfig {
        title: "Rust ASH Test".to_string(),
        width: 800,
        height: 600,
    };

    app.add_plugins(test_plugin::TestPlugin);
    Window::new(app, window_config).unwrap();
    // Vulkan::new(app).unwrap();
}
